Package org.springframework.scripting.groovy

# Interface GroovyObjectCustomizer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface GroovyObjectCustomizer
Strategy used by `GroovyScriptFactory` to allow the customization of a created `GroovyObject`.

This is useful to allow the authoring of DSLs, the replacement of missing methods, and so forth. For example, a custom `MetaClass` could be specified.

Since:
  2.0.2
Author:
  Rod Johnson
See Also:
  - `GroovyScriptFactory`

## Method Summary

Modifier and Type
Method
Description
`void`
`customize(groovy.lang.GroovyObject goo)`
Customize the supplied `GroovyObject`.

## Method Details

### customize

void customize(groovy.lang.GroovyObject goo)
Customize the supplied `GroovyObject`.

For example, this can be used to set a custom metaclass to handle missing methods.

Parameters:
  `goo` - the `GroovyObject` to customize